// Other
.block_myoverview {
  background-color: transparent!important;
  padding: 0!important;

  .card-body {
    padding: 0!important;
  }
}

//
// Base styles
//

.card {
  position: relative;
  display: flex;
  flex-direction: column;
  min-width: 0;
  word-wrap: break-word;
  background-clip: border-box;

  > hr {
    margin-right: 0;
    margin-left: 0;
  }

  > .list-group:first-child {
    .list-group-item:first-child {
      @include border-top-radius($card-border-radius);
    }
  }

  > .list-group:last-child {
    .list-group-item:last-child {
      @include border-bottom-radius($card-border-radius);
    }
  }

}


.card-body {
  // Enable `flex-grow: 1` for decks and groups so that card blocks take up
  // as much alpha as possible, ensuring footers are aligned to the bottom.
  flex: 1 1 auto;

  position: relative;

  @include media-breakpoint-between(sm,md) {
    text-align: left;
  }

  @include media-breakpoint-only(sm) {
    padding: 1.25rem;
  }

  .action-menu-item {
    position: absolute;
    top: 5px;
    right: 68px;
    line-height: 1.3;
    z-index: 3;

    .category-item-actions & {
      position: relative;
      top: auto;
      left: auto;
    }
  }

}

#page-mod-quiz-edit .section .activity .editing_move,
.block-controls .moodle-core-dragdrop-draghandle {
    display: block;

    cursor: move;

    background-color: $green-700;
    padding: 9px 10px;
    border-radius: $border-radius;

    .icon {
      color: $theme-color-9;
      font-size: 12px;
    }

}

.card-title {
  padding-bottom: 0.5rem;
  margin-bottom: 0.5rem;

  font-size:0.75rem;
  font-weight: $font-weight-sm-bold;
  color: $gray-400;

  border-bottom: 1px solid $gray-300;

  #nav-drawer & {
    color: $drawer-headings-color;
    border-bottom: 1px solid $drawer-border-color;
  }

  [role=main] & {
    text-align: left;
    border-bottom: 1px solid $border-color;

    @include media-breakpoint-only(sm) {
      text-align: center;
    }
  }

  h5 {
    font-size: 0.65rem;
  }
}

.card-subtitle {
  font-size: $font-size-sm;
  color: $gray-600;
}

.card-content {
  h2 {
    margin: $spacer 0;
  }

  ol, ul, dl {
    margin-bottom: 3 * $spacer;

    &:last-child {
      margin-bottom: 0;
    }
  }

}

.card-text {
  font-size: $font-size-base * 0.85;
  color: $gray-800;

  #nav-drawer & {
    color: $drawer-text;
  }

  #block-region-side-pre .block_recentlyaccessedcourses & {
      margin-top: 0.5rem!important;
  }

  .rtl & {
    text-align: right;
  }

  h3 {
    font-size: $font-size-sm;

    a {
      color: $gray-900;
    }
  }

  &:last-child {
    margin-bottom: 0;
  }

  .list {
	  margin: 0;
	  padding: 0;

	  li {
		  list-style: none;

		  a {
			  font-weight: $font-weight-sm-bold;
			  color: $gray-800;

			  transition: $general-transition;

			  &:hover {
				  color: $theme-color-1;
			  }
		  }
	  }
  }

  .footer {
    margin-top: $spacer;

    &:empty {
      display: none;
    }

    a {
      display: block;

      font-size: $font-size-xs;
    }
  }

  p {
    font-size: $font-size-sm;
  }

}

#page-user-preferences {

  .card-body {
      font-size: $font-size-base;

      .card-title {
        font-weight: $font-weight-sm-bold!important;
        margin-top: 2rem;
        margin-bottom: 1rem;
      }

      .card-text {
        div {
        margin-bottom: 1rem;
        }
      }

      a {
        font-size: 1rem;
        color: $gray-800;

        &:hover {
          color: $theme-color-1;
          text-decoration: none;
        }
      }
  }

}

.card-link {
  @include hover {
    text-decoration: none;
  }

  + .card-link {
    margin-left: $card-spacer-x;
  }
}

//
// Optional textual caps
//

.card-header {
  margin-bottom: 0; // Removes the default margin-bottom of <hN>

  h3 {
    margin-bottom: 0;
  }

  &:first-child {
    @include border-radius($card-inner-border-radius $card-inner-border-radius 0 0);
  }

  + .list-group {
    .list-group-item:first-child {
      border-top: 0;
    }
  }

  + .list-group:last-child {
    .list-group-item:last-child {
      @include border-bottom-radius($card-border-radius);
    }
  }
}

.card-footer {
  &:last-child {
    @include border-radius(0 0 $card-inner-border-radius $card-inner-border-radius);
  }
}


//
// Header navs
//

.card-header-tabs {
  margin-right: -($card-spacer-x / 2);
  margin-bottom: -$card-spacer-y;
  margin-left: -($card-spacer-x / 2);
  border-bottom: 0;
}

.card-header-pills {
  margin-right: -($card-spacer-x / 2);
  margin-left: -($card-spacer-x / 2);
}

// Card image
.card-img-overlay {
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  padding: $card-img-overlay-padding;
}

.card-img {
  width: 100%; // Required because we use flexbox and this inherently applies align-self: stretch
  height: 200px;
  @include border-radius($card-inner-border-radius);
}

.card-img-bottom {
  width: 100%; // Required because we use flexbox and this inherently applies align-self: stretch
  @include border-bottom-radius($card-inner-border-radius);
}


// Card deck

.card-deck {
  display: flex;
  flex-direction: column;

  .card {
    margin-bottom: $card-deck-margin;
  }

  @include media-breakpoint-up(sm) {
    flex-flow: row wrap;
    margin-right: -$card-deck-margin;
    margin-left: -$card-deck-margin;

    .card {
      display: flex;
      // Flexbugs #4: https://github.com/philipwalton/flexbugs#4-flex-shorthand-declarations-with-unitless-flex-basis-values-are-ignored
      flex: 1 0 0%;
      flex-direction: column;
      margin-right: $card-deck-margin;
      margin-bottom: 0; // Override the default
      margin-left: $card-deck-margin;
    }
  }
}


//
// Card groups
//

.card-group {
  display: flex;
  flex-direction: column;

  // The child selector allows nested `.card` within `.card-group`
  // to display properly.
  > .card {
    margin-bottom: $card-group-margin;
  }

  @include media-breakpoint-up(sm) {
    flex-flow: row wrap;
    // The child selector allows nested `.card` within `.card-group`
    // to display properly.
    > .card {
      // Flexbugs #4: https://github.com/philipwalton/flexbugs#4-flex-shorthand-declarations-with-unitless-flex-basis-values-are-ignored
      flex: 1 0 0%;
      margin-bottom: 0;

      + .card {
        margin-left: 0;
        border-left: 0;
      }

      // Handle rounded corners
      @if $enable-rounded {
        &:first-child {
          @include border-right-radius(0);

          .card-img-top,
          .card-header {
            border-top-right-radius: 0;
          }
          .card-img-bottom,
          .card-footer {
            border-bottom-right-radius: 0;
          }
        }

        &:last-child {
          @include border-left-radius(0);

          .card-img-top,
          .card-header {
            border-top-left-radius: 0;
          }
          .card-img-bottom,
          .card-footer {
            border-bottom-left-radius: 0;
          }
        }

        &:only-child {
          @include border-radius($card-border-radius);

          .card-img-top,
          .card-header {
            @include border-top-radius($card-border-radius);
          }
          .card-img-bottom,
          .card-footer {
            @include border-bottom-radius($card-border-radius);
          }
        }

        &:not(:first-child):not(:last-child):not(:only-child) {
          @include border-radius(0);

          .card-img-top,
          .card-img-bottom,
          .card-header,
          .card-footer {
            @include border-radius(0);
          }
        }
      }
    }
  }
}


//
// Columns
//

.card-columns {
  .card {
    margin-bottom: $card-columns-margin;
  }

  @include media-breakpoint-up(sm) {
    column-count: $card-columns-count;
    column-gap: $card-columns-gap;

    .card {
      display: inline-block; // Don't let them vertically span multiple columns
      width: 100%; // Don't let their width change
    }
  }
}


/* Extend */
.userprofile .profile_tree section {
  @extend .card-body;
}


// Well -> Panel -> Card. We skipped panel (BS3) so lets just support well and card.
.well,
.userprofile .profile_tree section,
.que .history,
.groupinfobox
{
    @extend .card;
}

/* mod */
.block_activity_results {
  table.grades {
   caption {
     font-size: $font-size-sm;
   }

   a {
     color: $gray-800;
   }
  }
}

/* Since Moodle 3.6+ */


.summaryimage {
  width: 200px;
  height: 200px;
  border-radius: $border-radius;

  @include media-breakpoint-only(sm) {
    border-radius: $border-radius $border-radius 0 0;
    width: 100%;
  }
}


.c-course-box-fp {
  padding: 0;
  margin: 0 -23px;

  .courses-view-course-item-footer {
    padding: 1rem;
  }

}

.card.block_settings {
  .form-group {
    width: 100%;
  }
}


.block_myoverview, [data-region="recentlyaccessedcourses-view"] {

  #block-region-side-pre & {
    .card-deck .myoverviewimg {
      height: 240px;
    }

    .course-box-title {
      font-size: 1rem;
    }

    .pagination {
      margin: 0 auto 0!important;
    }
  }

  .list-group-item {
    position: relative;

    font-size: $font-size-base;

    .coursename {
      margin-bottom: 0;
    }

  }

  .coursename {
    margin-top: 100px;
    font-size: 1.5rem;
    font-weight: $font-weight-bold;
    color: $white;

    .icon {
      background-color: rgba(0, 0, 0, 0.3);
      border-radius: $border-radius-max;

      padding: 10px 0;
      width: 32px;

      position: absolute;
      right: 0;
      top: -1px;

      font-size: $font-size-xs;
      color: $yellow;

      &:nth-of-type(2) {
        right: 40px;
      }
    }

    .dimmed {
      font-size: 1.5rem;
      font-weight: $font-weight-bold;
      color: $white;

      opacity: 0.8;
    }
  }

  .progress-bar-text {
    margin: .25rem 0 0;

    font-size: $font-size-xs;
    font-weight: $font-weight-sm-bold;
    color: $white;
    opacity: 0.8;
    text-align: left;
  }

  .progress {
    width: 100%;
    height: 6px;
    border-radius: $border-radius;
    overflow: hidden;

    .progress-bar {
      background: $theme-color-1; /* fallback for old browsers */
      background-image: linear-gradient(270deg, $theme-color-1 0%, $theme-color-4 100%);
      border-radius: $border-radius;
    }
  }

  .dashboard-card {
    padding: 0; /* moodle 3.7 */
  }

  .card-img {
    box-sizing: content-box;

    width: calc(100% + 48px);
    padding: 0 24px;
    margin: -2rem -24px 1rem;

    border-radius: 5px 5px 0 0;

    @include media-breakpoint-down(sm) {
      margin-top: -1rem;
    }
  }

  .card-deck {

      #block-region-side-pre & {
        flex-basis: auto;
        width: 100%;
        margin: 0.5rem 0 0 0;
        padding: 0;
      }

      [data-display="summary"] & {
        @include media-breakpoint-between(md,lg) {
          flex-basis: calc(50% - 30px);
        }
        @include media-breakpoint-only(sm) {
          flex-basis: calc(100% - 30px);
        }
      }
  }


  .list-group-item--favourite {
    border: 2px solid rgba($yellow, 0.3);
  }


  //List view
  .list-group {

    margin: 0 0 2rem 0;

    .list-group-item {
      padding: 1rem;
      border-right: $border-radius;
      border: 1px solid $border-color!important;      
    }

    .coursename {
      color: $gray-900;
      font-size: $font-size-base;
      font-weight: $font-weight-sm-bold;
      margin: 0;

      &:before {
        display: none;
      }

      .icon {
        background-color: transparent;
        position: relative;
      }
    }

    .progress-bar-text {
      color: $gray-500;
      opacity: 1;
    }

    .progress {
      background-color: $gray-300;
    }

  }


}

.block_myoverview .list-group .dropdown-right,
[data-region="recentlyaccessedcourses-view"] .list-group .dropdown-right,
.block_myoverview .list-group-summary .dropdown-right {
  top: 15px!important;
  right: 15px;
}


@include media-breakpoint-down(sm) {
  .c-course-box.course-summaryitem .c-course-content .dropdown {
    top: -55px;
  }
}

/* Courses Grid */
.c-course-box {
  position: relative;

  z-index: 0;
  overflow: hidden;
  border-radius: $border-radius;

  #page-enrol-index & {
    min-height: 500px;
    max-width: 430px;
  }

     .courseimage {
       background-size: cover;

       #page-enrol-index & {
       min-height: 500px;
       }
     }


      .course--btn {
        opacity: 0;
        transform: translateY(20px);

        transition: $general-transition;
      }

      &:hover {
        .course--btn {
          opacity: 1;
          bottom: 0;
          transform: translateY(0);
        }

        &:after {
          background-color: rgba(0, 0, 0, 0.6);
        }
      }

  &:after {
    content: '';
    background-color: rgba(0, 0, 0, 0.3);
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 0;

    transition: $general-transition;
  }

  &:before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 1;

    background: rgba(0,0,0,0.30);
    background-image: linear-gradient(-18deg, rgba(0,0,0,0.00) 63%, #000000 97%);
  }

  .course-contacts {
    position: absolute;
    top: 20px;
    left: 30px;
    z-index: 1;

    width: calc(100% - 3rem);

    .c-courses-teacher-avatar {
      width: 30px;
      height: 30px;

      margin-right: -10px;
    }

    .c-courses-teacher-name {
      margin: 0;
      font-size: $font-size-xs;
      font-weight: $font-weight-bold;
      line-height: 1.3;
      color: $white;
    }
  }

  .c-course-box-content {
    position: absolute;
    top: 20px;
    left: 30px;

    z-index: 1;

    width: calc(100% - 60px);
  }

  .courses-view-course-item-footer {
    position: absolute;
    bottom: 20px;
    left: 30px;

    z-index: 1;

    width: calc(100% - 60px);

    z-index: 1;
  }

  .c-course-category {
    margin-top: 3rem;
    margin-bottom: 0.25rem;

    color: $white;
    opacity: 0.8;
  }

  .course-box-title {
    margin-top: 60px;
    margin-bottom: 1rem;
    font-size: 1.25rem;
    font-weight: $font-weight-bold;
    line-height: 1.3;
    color: $white;

    .multiline {
      display: block;
    }
    
    .block & {
      font-size: 1.25rem;
      margin-top: 5px;
      margin-bottom: 0;
      height: 400px;
      display: block;
    }

    .block-recentlyaccessedcourses & {
      font-size: 1rem;
      height: auto;
    }

    transition: $general-transition;


    &:hover {
      text-decoration: none;
      opacity: 0.8;
    }

    .course-box-icons-list {
      padding: 0;
      margin: 0;
      
      position: absolute;
      right: 0;
      top: 0;

      display: inline-flex;
      list-style: none;

      @include media-breakpoint-only(sm) {
        right: -3px;
      }

      li {
        margin: 0 0 0 3px;
        width: 32px;
        height: 32px;

        background-color: rgba(0, 0, 0, 0.3);
        border-radius: $border-radius-max;

        text-align: center;
  
        .icon {    
          font-size: $font-size-xs;
          line-height: 0;
    
          &.fa-star {
            color: $yellow!important;
          }
        }

        img {
          width: 12px;
          height: auto;
        }
      }
    }

    [data-region="favourite-icon"] {
      .icon {
        padding: 10px 0;
        width: 32px;

        background-color: rgba(0, 0, 0, 0.3);
        border-radius: $border-radius-max;

        font-size: .75rem;
        color: $yellow;     
        
        position: absolute;
        top: -3px;
        left: -14px;
      }
    }



    .dimmed {
      font-size: 1.5rem;
      font-weight: $font-weight-bold;
      color: $white;

      opacity: 0.8;
    }

    a {
      color: inherit;

      &:hover {
        text-decoration: none;
      }
    }
  }

  .course-box-desc {
    font-size: 0.85rem;
    line-height: 1.5;
    color: $white;

    max-height: 284px;
    overflow-y: auto;
    padding-right: 30px;

    a {
      color: inherit;
    }

    .os-scrollbar-handle {
      background-color: rgba($white, 0.8)!important;
    }

    .os-scrollbar-track {
      background-color: rgba($white, 0.2)!important;
    }

  }

  .c-course-progress {
    position: absolute;
    z-index: 2;

    width: auto;
    bottom: 20px;
    left: 30px;
    right: 30px;
  }

  .dropdown {
    top: 0;
    right: -10px;
  }

}

[data-display="summary"],
[data-display="list"] {
  .coursename .icon {
    background-color: rgba($yellow, 0.2)!important;
    margin-right: 10px;

    &.fa-star {
      top: 0px;
      left: 0;

      border-radius: $border-radius;
    }
  }

  .progress {
    height: 10px;
  }
}

/* Enroll page */
.femptylabel {
  .path-enrol & {
    .col-md-3 {
      display: none;
    }

    .col-md-9 {
      flex: 0 0 100%;
      max-width: 100%;
    }
  }
}

#page-enrol-index {
  [role="main"] {
    display: table;

    .box {
      [type="submit"],
      [type="password"]
      {
        width: 100%;
      }
    }

  }

  #notice {
    font-weight: $font-weight-bold;
  }
}

.show-course-contacts-btn {
  background-color: rgba(#000, 0.6);
  width: 30px;
  height: 30px;
  border-radius: 30px;

  position: absolute;
  left: 62px;
  top: calc(50% - 15px);

  border: 3px solid #fff;

  &:after {
    @extend %fa-icon;
    @extend .fas;

    position: absolute;
    top: calc(50% - 6px);
    left: calc(50% - 2px);

    content: fa-content($fa-var-caret-right);

    font-size: 12px;
    color: #fff;
  }
}

.course-contacts-ext {
  color: $dropdown-text;
  text-align: left; // Ensures proper alignment if parent has it changed (e.g., modal footer)
  list-style: none;
  background-color: rgba($dropdown-bg, .8);
  box-shadow: 2px 11px 54px 0 rgba($dropdown-shadow,.6);
  -webkit-backdrop-filter: blur(7px);
  backdrop-filter: blur(7px);

  border-radius: $border-radius;
  
  position: absolute;
  top: -9px;
  left: -15px;
  right: 0;
  z-index: 3;

  overflow-y: hidden;

  .close-course-contacts-btn {
    position: absolute;
    z-index: 4;
    top: 10px;
    right: 10px;

    border: 0;

    width: 30px;
    height: 30px;
    border-radius: $border-radius;
    background-color: $gray-100;

    transition: $general-transition;

    &:hover {
      background-color: $gray-200;
    }

    &:before {
      font-size: 12px;
      top: calc(50% - 6px);
    }

  }

  .course-contacts-ext-content {
    margin: 10px 10px 5px 10px;
    max-height: 245px;
    overflow-y: auto;

    .os-scrollbar-handle {
      background-color: rgba($body-color-secondary, 0.6)!important;
    }

    .os-scrollbar-track {
      background-color: rgba($body-color-secondary, 0.2)!important;
    }
  }

  .course-contacts-ext-list {
    padding: 0;
    margin: 0;
    list-style: none;

    li {
      padding: 0;
      width: 100%;

      display: inline-flex;
      align-content: center;
      justify-items: start;

      font-size: $font-size-sm;
      font-weight: $font-weight-sm-bold;

      a {
        padding: 5px;
        width: 100%;

        border-radius: $border-radius;
        color: $dropdown-link-color;

        &:hover {
          color: $dropdown-link-hover-color;
          background-color: $dropdown-link-hover-bg;
        }

        &:before {
          display: none;
        }
      }
    }

    .c-courses-teacher-avatar {
      width: 30px;
      height: 30px;
      margin-right: 0.5rem
    }
  }
}